function neg_logp_A=neg_log_post_A_ev(par,C,x,tt,id,var_a)
nsubjects=length(unique(id));
[nobs,dim]=size(x);
%C=BB'
ng=dim*(dim-1);
na=dim^2;
G=zeros(dim,dim);
counter=0;
for j=1:dim
    for i=1:dim
        if (i==j)
           G(i,j)=1;
        else
           counter=counter+1;
           G(i,j)=par(counter);
        end
    end
end
Lambda=diag(exp(par(ng+1:na)));
A=G*Lambda*inv(G);
if(sum(sum(isinf(A))) > 0 | sum(sum(isnan(A)))>0 | cond(A)>10^5)
   neg_logp_A=10^5;
   return
end
if (dim==2)
    sig=(det(A)*C+(A-trace(A)*eye(2))*C*(A-trace(A)*eye(2))')...
        ./(2*trace(A)*det(A));
else
    sig=lyap(A,-C);
end
nsub_obs=zeros(1,nsubjects);
for i=1:nsubjects
    nsub_obs(i)=sum(id==i);
end
sum1=0;
sum2=0;
for i=1:nsubjects
    ti=tt(find(id==i));
    xi=x(find(id==i),:);
    for j=2:nsub_obs(i)
        dt=ti(j)-ti(j-1);
        temp=expm(-A*dt);
        mu=temp*xi(j-1,:)';
        omega=sig-temp*sig*temp';
        det_omega=det(omega);
        if(det_omega<=0)
           neg_logp_A=10^5;
           return
        end
        %sum1=sum1+log(det(omega));
        sum1=sum1+log(det_omega);
        y=xi(j,:)'-mu;
        sum2=sum2+y'*inv(omega)*y;
    end
end
sum3=0;
for i=1:dim
    for j=1:dim
        if(i~=j)
           sum3=sum3+G(i,j)^2;
        end
    end
end
logp_A=-0.5*(sum1+sum2)-sum(log(diag(Lambda)))-...
         0.5*sum(log(diag(Lambda)).^2)/var_a-0.5*sum3/var_a;
neg_logp_A=-logp_A;
